Apt-get хочет удалить MariaDB на Debian Wheezy

Я установил свой сервер для использования MariaDB и использовал инструкции по установке на веб-странице. Он работал достаточно хорошо. Теперь, если я хочу dist-upgrade , apt-get хочет заменить MariaDB на MySQL:

 The following packages will be REMOVED: libmariadbclient18 mariadb-client-5.5 mariadb-client-core-5.5 mariadb-server mariadb-server-5.5 mariadb-server-core-5.5 ... The following packages will be upgraded: libmysqlclient18 mysql-common 

Почему apt-get хочет это сделать? Как я могу остановить apt-get от этого?

    К сожалению, это известная проблема с уже зарегистрированным сообщением об ошибке: см. Здесь . Конфликт возникает из-за того, что mysql и mariadb используют конфликтующие версии библиотеки libmysqlclient18 .

    Быстрое исправление – дать mariadb более высокий приоритет, чем mysql, я сделал это следующим образом:

      echo -e "Package: libmysqlclient18\nPin: origin mirror2.hs-esslingen.de\nPin-Priority: 1000" > /etc/apt/preferences.d/mariadb-mysqlclient18 

    (Разумеется, это для моего зеркала … Вам придется настроить приведенную выше команду на свое зеркало).

    Я согласен, что это должно быть исправлено вверх по течению, но тем временем …

    Давайте будем гением компьютера.